Page MenuHomePhabricator

Fail more graciously when an expected existing revision, doesn't exist
Closed, ResolvedPublicPRODUCTION ERROR

Description

http://www.mediawiki.org/wiki/Special:Code/MediaWiki/83679

Failed to load expected revision data

backtrace
#0 /usr/local/apache/common-local/php-1.17/extensions/CodeReview/ui/CodeRevisionView.php(24): CodeRepository->getRevision(83679)
#1 /usr/local/apache/common-local/php-1.17/extensions/CodeReview/ui/SpecialCode.php(90): CodeRevisionView->__construct('MediaWiki', '83679')
#2 /usr/local/apache/common-local/php-1.17/extensions/CodeReview/ui/SpecialCode.php(24): SpecialCode->getViewFrom('MediaWiki/83679')
#3 /usr/local/apache/common-local/php-1.17/includes/SpecialPage.php(578): SpecialCode->execute('MediaWiki/83679')
#4 /usr/local/apache/common-local/php-1.17/includes/Wiki.php(251): SpecialPage::executePath(Object(Title))
#5 /usr/local/apache/common-local/php-1.17/includes/Wiki.php(63): MediaWiki->handleSpecialCases(Object(Title), Object(OutputPage), Object(WebRequest))
#6 /usr/local/apache/common-local/php-1.17/index.php(114): MediaWiki->performRequestForTitle(Object(Title), NULL, Object(OutputPage), Object(User), Object(WebRequest))
#7 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#8 {main}

It's essentially been oversighted, that and r82952, so should fallback a bit more graciously...


Version: unspecified
Severity: minor

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:37 PM
bzimport set Reference to bz28677.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Apr 23 2011, 7:34 PM
brion added a comment.Apr 25 2011, 8:21 PM

Missing revision data would normally be considered a serious bug as it's inconsistent with the repository state and subversion's versioning model.

Requests for revisions that haven't yet been reached are handled gracefully; for those that should be in the database we throw an exception as it indicates database corruption.

Are those revisions actually removed from SVN as well, and does SVN behave cleanly that way? If not, is there a possibility that some batch process will just fill them back in some day when nobody's thinking about it?

(In reply to comment #1)

Are those revisions actually removed from SVN as well,

Yes.

and does SVN behave
cleanly that way?

Sort of. The import script used to barf on the svn log output for removed revs, I fixed that a few days ago.

If not, is there a possibility that some batch process will
just fill them back in some day when nobody's thinking about it?

No way. SVN simply will not give you the data.

demon added a comment.Apr 25 2011, 8:41 PM

content hidden as private in Bugzilla

Reedy added a comment.Apr 25 2011, 8:44 PM

content hidden as private in Bugzilla

demon added a comment.Apr 25 2011, 9:33 PM

content hidden as private in Bugzilla

still happening :(

Lowering priority on high priority bugs that have a low severity

demon removed a subscriber: demon.Aug 19 2015, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 5:23 PM

Change 490146 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/CodeReview@master] Avoid fatal error when an in-range rev has no data available

https://gerrit.wikimedia.org/r/490146

Change 490146 merged by jenkins-bot:
[mediawiki/extensions/CodeReview@master] Avoid fatal error when an in-range rev has no data available

https://gerrit.wikimedia.org/r/490146

Krinkle closed this task as Resolved.Feb 17 2019, 12:59 AM
Krinkle claimed this task.
Peachey88 updated the task description. (Show Details)Feb 17 2019, 9:03 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM